import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PURCHASE_REPORT } = loadEnv();
const yewuApi = VITE_PURCHASE_REPORT + "/admin/";

interface IRequestOptions {
  path: string;
  data: object;
}

export function createHttpRequset(path: string) {
  return (data: object) => http.request("post", `${yewuApi}${path}`, { data });
}
